Name:		callgit
Version:	2.0
Release:	8%{dist}
Summary:	A tool for Ham Radio Operators to look up call-signs on the web
Group:		Applications/Communications
License:	GPLv3
URL:		http://www.hamsoftware.org/
Source0:	http://www.hamsoftware.org/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:    Ham_Icon-1-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: qt-devel
BuildRequires: desktop-file-utils

%description
This program allows you to search for another Ham's name and address
without having a web browser up. It is very simple.

%prep
%setup -q -n %{name}

%build
qmake-qt4 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -Dpm 755 callgit %{buildroot}/%{_bindir}/%{name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/Ham_Icon-1-48.png 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Ham_Icon-1-48.png

%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar 25 2010 Jens Maucher <jensm@fedoraproject.org> - 2.0-5
- Changed desktop-file

* Sat Feb 27 2010 Jens Maucher <jensm@fedoraproject.org> - 2.0-4
- Added Icon

* Sat Feb 20 2010 Jens Maucher <jensm@fedoraproject.org> - 2.0-3
- Changed desktop-file

* Fri Feb 19 2010 Jens Maucher <jensm@fedoraproject.org> - 2.0-2
- Added desktop-file
- Corrected misspellings

* Sat Feb 12 2010 Jens Maucher <jensm@fedoraproject.org> - 2.0-1
- Initial spec file
